com.microfocus.zserver.zexplorer.ui.view

## Class FileMappingsViewContentProvider

- java.lang.Object
- - com.microfocus.zserver.zexplorer.ui.view.FileMappingsViewContentProvider

- All Implemented Interfaces:
    org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider

      public class FileMappingsViewContentProvider
      extends java.lang.Object
      implements org.eclipse.jface.viewers.IStructuredContentProvider

  Content provider for the File Mappings view.

  Copyright (C) Micro Focus 2010

  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileMappingsViewContentProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `java.lang.Object[]` | `getElements(java.lang.Object pInputElement)`
    `void` | `inputChanged(org.eclipse.jface.viewers.Viewer pViewer, java.lang.Object pOldInput, java.lang.Object pNewInput)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileMappingsViewContentProvider

          public FileMappingsViewContentProvider()

  - ### Method Detail

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`

    - #### inputChanged

          public void inputChanged(org.eclipse.jface.viewers.Viewer pViewer,
                                   java.lang.Object pOldInput,
                                   java.lang.Object pNewInput)

      Specified by:
        `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`

    - #### getElements

          public java.lang.Object[] getElements(java.lang.Object pInputElement)

      Specified by:
        `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`

Copyright © 2015 Micro Focus GmbH. All rights reserved.